Subject: [PATCH 1/6] ASoC: dapm: If one widget fails, do not force all subsequent widgets to fail too

From: [email-masked] (Lee Jones)
Date: Tue, 31 Jul 2012 16:15:23 +0100

On 31/07/12 15:54, Mark Brown wrote:
> On Tue, Jul 31, 2012 at 03:38:02PM +0100, Lee Jones wrote:
>
>> Neither of those are in my Inbox. Blame Mozilla. :)
>
> You might want to look at a better mail program.

Willingly. Any good suggestions?

>> It's better because the whole audio system doesn't fail in the case
>> of minor failure. It'd be like calling off a football game (or
>> whatever you're into) because one of the substitutes ruptured an
>> eyelash.
>
> It shouldn't make any difference to startup - we should still be
> checking errors and failing the init if we're failing to add links,
> this isn't something that's likely to randomly break on a particular
> boot, it's more something that indicates nobody bothered testing.
>
> It's certainly totally inappropriate for an "urgent" bugfix.

Well it just means that audio won't work for the ux500 for this kernel 
release, but as we're waiting on clocks, this isn't a big issue for us. 
If you do take it (with or without the return code), feel free to add it 
to for-next instead of the -rc:s

>> During start-up the ux500 has a couple of very unimportant widgets
>> fail. It's the wrong behavior to force failure on the everything
>> audio just because of that.
>
> Fixes for those errors, however...

I'll leave that to the audio expert. I'd like to move to to something 
else (that you maintain - perhaps I'll go and mess-up regulators next). :)

-- 
Lee Jones
Linaro ST-Ericsson Landing Team Lead
Linaro.org ? Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog